## ros-humble-hri-msgs 2.1.0

=== debian/changelog ===
ros-humble-hri-msgs (2.1.0-1bookworm) bookworm; urgency=high

  * bring back LiveSpeech/language while we transition to LiveSpeech/locale
  * LiveSpeech: refactor from language to locale
  * fix documentation
  * add copyright and documentation
  * [doc] reword ROS1/ROS2 README note
  * [doc] add reference to ROS 1 in README
  * Contributors: Luka Juricic, Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sun, 30 Jun 2024 16:00:00 -0000

ros-humble-hri-msgs (2.0.0-1bookworm) bookworm; urgency=high

  * porting to humble
  * remove unused travis configuration
  * improve messages documentation
  * remove unused FAU field
  * add IETF language code to LiveSpeech
  * [doc] anonymous person are not supposed to be created via semi-defined match
  * Contributors: Luka Juricic, Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-hri-msgs (0.8.0-1bookworm) bookworm; urgency=high

  * add Stamped and unstamped versions of NormalizedPointOfInterest2d
  * move LookAtWithStyle.msg to hri_actions_msgs
  * Rename point and region of interest messages to
    'Normalized[PointOfInterest2d|RegionOfInterest2D]'
  * Add RegionOfInterest2D messages
    This message represents a 2D region-of-interest with an associated confidence. The message contains a Header-type field to allow easy synchronisation with other messages.
  * Contributors: Francesco Tonini, Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 30 Aug 2022 16:00:00 -0000

ros-humble-hri-msgs (0.7.2-1bookworm) bookworm; urgency=high

  * Merge branch 'gaze-style' into 'master'
    create LookAtWithStyle.msg
    See merge request ros4hri/hri_msgs!3
  * create LookAtWithStyle.msg
    users can specify how the GazeManager creates trajectories using the
    style member.
    currently NORMAL (using both neck and eyes) as well as EYES_ONLY and
    NECK_ONLY exist and are supported by the GazeManager v2.
  * Contributors: Séverin Lemaignan, llach

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 19 Jul 2022 16:00:00 -0000

ros-humble-hri-msgs (0.7.1-1bookworm) bookworm; urgency=high

  * add missing 'AudioFeatures.msg' and 'LiveSpeech.msg' to CMakeLists
  * [IdsMatch] clarify semantic of confidence level for anonymous persons
  * Contributors: Séverin Lemaignan, saracooper

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 19 Jul 2022 16:00:00 -0000

ros-humble-hri-msgs (0.7.0-1bookworm) bookworm; urgency=high

  * expressions: expand list + use string constants
    The list is based on Chambers' MSc thesis, Bristol Robotics lab 2020
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 27 Jun 2022 16:00:00 -0000

ros-humble-hri-msgs (0.6.0-1bookworm) bookworm; urgency=high

  * revise IdsMatch to enable associations between any 2 ids, incl ids of same type
    This is especially useful to be able to 'merge' 2 people (eg, alias one to the other)
    by publishing a 'match' between 2 person ids
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 31 May 2022 16:00:00 -0000

ros-humble-hri-msgs (0.5.2-1bookworm) bookworm; urgency=high

  * omitted to update CMakeLists
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 03 May 2022 16:00:00 -0000

ros-humble-hri-msgs (0.5.1-1bookworm) bookworm; urgency=high

  * add more info about the EngagementLevel msg
  * Contributors: antonioandriella

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 03 May 2022 16:00:00 -0000

ros-humble-hri-msgs (0.5.0-1bookworm) bookworm; urgency=high

  * add social engagement msg with 5 discrete levels
  * add confidence to Expression message
  * update README
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sun, 01 May 2022 16:00:00 -0000

ros-humble-hri-msgs (0.4.1-1bookworm) bookworm; urgency=high

  * CMakeLists: update references to BodyPosture and Gesture messages
  * add BSD LICENSE file
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-hri-msgs (0.4.0-1bookworm) bookworm; urgency=high

  * split BodyAttitude into BodyPosture and Gesture
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-hri-msgs (0.3.0-1bookworm) bookworm; urgency=high

  * remove GroupsStamped and GazesStamped
    GroupsStamped and GazesStamped are essentially arrays of Groups and Gazes, they are not needed as
    nodes would simply publish several message on the corresponding topics
  * {GazeSenderReceiver->Gaze}.msg and rename fields in Group.msg and GazeSenderReceiver.msg
  * add LiveSpeech.msg for encoding of incremental results of speech-to-text
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Thu, 20 Jan 2022 16:00:00 -0000

ros-humble-hri-msgs (0.2.1-1bookworm) bookworm; urgency=high

  * update CMakeLists following removing/renaming of messages
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 11 Jan 2022 16:00:00 -0000

ros-humble-hri-msgs (0.2.0-1bookworm) bookworm; urgency=high

  * AgeAndGender.msg -> SoftBiometrics.msg
  * remove RoIStamped, as not necessary
    The original rationale was to be able to match the RoI to the orginal sourc eimage via the timestamp,
    but it was clunky, and we have decided instead to republish the face image under cropped, alleviating
    the need for the connection to the source image.
  * IdsMatch: revise semantic to enable eg face<->body matches
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 11 Jan 2022 16:00:00 -0000


