=== debian/control ===
Source: ros-humble-hri-msgs
Section: misc
Priority: optional
Maintainer: Séverin Lemaignan <severin.lemaignan@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-hri-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rosidl-default-runtime, ros-humble-sensor-msgs, ros-humble-ros-workspace
Description: Messages, services and action definitions useful for Human-Robot Interaction
